/*
 *  vectex - a SVG vector texture plugin for Blender
 *  Copyright (C) 2008 Marcelo de Gomensoro Malheiros <mgmalheiros@gmail.com>
 *
 *  This program is free software; you can redistribute it and/or modify
 *  it under the terms of the GNU General Public License as published by
 *  the Free Software Foundation; either version 2 of the License, or
 *  (at your option) any later version.
 *
 *  This program is distributed in the hope that it will be useful,
 *  but WITHOUT ANY WARRANTY; without even the implied warranty of
 *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *  GNU General Public License for more details.
 *
 *  You should have received a copy of the GNU General Public License
 *  along with this program; if not, write to the Free Software
 *  Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
 */

#ifdef __cplusplus
#define EXT extern "C"
#else
#define EXT
#endif

#ifdef DEBUG
#define MSG0(F)         printf(F);
#define MSG1(F,A)       printf(F, (A));
#define MSG2(F,A,B)     printf(F, (A), (B));
#define MSG3(F,A,B,C)   printf(F, (A), (B), (C));
#define MSG4(F,A,B,C,D) printf(F, (A), (B), (C), (D));
#else
#define MSG0(F)
#define MSG1(F,A)
#define MSG2(F,A,B)
#define MSG3(F,A,B,C)
#define MSG4(F,A,B,C,D)
#endif

/*
EXT void *memory_alloc(int len, char *str);
EXT void memory_free(void *ptr);
*/

EXT void *create_backend(char *filename);
EXT unsigned char *backend_render_tile(void *backend_data, int resolution,
                                       int tile_size, int tile_row, int tile_col,
                                       double base_r, double base_g, double base_b,   
                                       int border);
EXT void destroy_backend(void *backend_data);
